.TH wxImage 3 "wx  0.98.3" "Ericsson AB" "ERLANG MODULE DEFINITION"
.SH MODULE
wxImage \- See external documentation: wxImage\&.
.SH DESCRIPTION
.LP
See external documentation: wxImage <http://www\&.wxwidgets\&.org/manuals/stable/wx_wximage\&.html>\&.
.LP
All (default) image handlers are initialized\&.

.SH DATA TYPES
.RS 2
.TP 4
.B
\fIwxImage()\fR:

.RS 4
.LP
An object reference, The representation is internal and can be changed without notice\&. It can\&'t be used for comparsion stored on disc or distributed for use on other nodes\&.
.LP

.RE
.RE
.SH EXPORTS
.LP
.B
new() -> wxImage()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wximage\&.html#wximagewximage>\&.
.RE
.LP
.B
new(Name::string()) -> wxImage()
.br
.RS
.LP
Equivalent to new(Name, [])\&.
.RE
.LP
.B
new(X::integer() | string(), X::integer() | term()) -> wxImage()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wximage\&.html#wximagewximage>\&. 
.br
 Alternatives: 
.LP
\fI new(Width::integer(), Height::integer()) -> new(Width, Height, []) \fR
.LP
\fI new(Name::string(), [Option]) -> wxImage() \fR 
.br
 Option = {type, integer()} | {index, integer()} 
.RE
.LP
.B
new(X::integer() | string(), X::integer() | string(), X::binary() | term()) -> wxImage()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wximage\&.html#wximagewximage>\&. 
.br
 Alternatives: 
.LP
\fI new(Width::integer(), Height::integer(), Data::binary()) -> new(Width, Height, Data, []) \fR
.LP
\fI new(Width::integer(), Height::integer(), [Option]) -> wxImage() \fR 
.br
 Option = {clear, bool()} 
.LP
\fI new(Name::string(), Mimetype::string(), [Option]) -> wxImage() \fR 
.br
 Option = {index, integer()} 
.RE
.LP
.B
new(Width::integer(), Height::integer(), Data::binary(), X::binary() | term()) -> wxImage()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wximage\&.html#wximagewximage>\&. 
.br
 Alternatives: 
.LP
\fI new(Width::integer(), Height::integer(), Data::binary(), Alpha::binary()) -> new(Width, Height, Data, Alpha, []) \fR
.LP
\fI new(Width::integer(), Height::integer(), Data::binary(), [Option]) -> wxImage() \fR 
.br
 Option = {static_data, bool()} 
.RE
.LP
.B
new(Width::integer(), Height::integer(), Data::binary(), Alpha::binary(), Options::[Option]) -> wxImage()
.br
.RS
.TP
Types
Option = {static_data, bool()}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wximage\&.html#wximagewximage>\&.
.RE
.LP
.B
blur(This::wxImage(), Radius::integer()) -> wxImage()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wximage\&.html#wximageblur>\&.
.RE
.LP
.B
blurHorizontal(This::wxImage(), Radius::integer()) -> wxImage()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wximage\&.html#wximageblurhorizontal>\&.
.RE
.LP
.B
blurVertical(This::wxImage(), Radius::integer()) -> wxImage()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wximage\&.html#wximageblurvertical>\&.
.RE
.LP
.B
convertAlphaToMask(This::wxImage()) -> bool()
.br
.RS
.LP
Equivalent to convertAlphaToMask(This, [])\&.
.RE
.LP
.B
convertAlphaToMask(This::wxImage(), Options::[Option]) -> bool()
.br
.RS
.TP
Types
Option = {threshold, integer()}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wximage\&.html#wximageconvertalphatomask>\&.
.RE
.LP
.B
convertToGreyscale(This::wxImage()) -> wxImage()
.br
.RS
.LP
Equivalent to convertToGreyscale(This, [])\&.
.RE
.LP
.B
convertToGreyscale(This::wxImage(), Options::[Option]) -> wxImage()
.br
.RS
.TP
Types
Option = {lr, float()} | {lg, float()} | {lb, float()}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wximage\&.html#wximageconverttogreyscale>\&.
.RE
.LP
.B
convertToMono(This::wxImage(), R::integer(), G::integer(), B::integer()) -> wxImage()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wximage\&.html#wximageconverttomono>\&.
.RE
.LP
.B
copy(This::wxImage()) -> wxImage()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wximage\&.html#wximagecopy>\&.
.RE
.LP
.B
create(This::wxImage(), Width::integer(), Height::integer()) -> bool()
.br
.RS
.LP
Equivalent to create(This, Width, Height, [])\&.
.RE
.LP
.B
create(This::wxImage(), Width::integer(), Height::integer(), X::binary() | term()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wximage\&.html#wximagecreate>\&. 
.br
 Alternatives: 
.LP
\fI create(This::wxImage(), Width::integer(), Height::integer(), Data::binary()) -> create(This, Width, Height, Data, []) \fR
.LP
\fI create(This::wxImage(), Width::integer(), Height::integer(), [Option]) -> bool() \fR 
.br
 Option = {clear, bool()} 
.RE
.LP
.B
create(This::wxImage(), Width::integer(), Height::integer(), Data::binary(), X::binary() | term()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wximage\&.html#wximagecreate>\&. 
.br
 Alternatives: 
.LP
\fI create(This::wxImage(), Width::integer(), Height::integer(), Data::binary(), Alpha::binary()) -> create(This, Width, Height, Data, Alpha, []) \fR
.LP
\fI create(This::wxImage(), Width::integer(), Height::integer(), Data::binary(), [Option]) -> bool() \fR 
.br
 Option = {static_data, bool()} 
.RE
.LP
.B
create(This::wxImage(), Width::integer(), Height::integer(), Data::binary(), Alpha::binary(), Options::[Option]) -> bool()
.br
.RS
.TP
Types
Option = {static_data, bool()}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wximage\&.html#wximagecreate>\&.
.RE
.LP
.B
Destroy(This::wxImage()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wximage\&.html#wximagedestroy>\&.
.RE
.LP
.B
findFirstUnusedColour(This::wxImage()) -> {bool(), R::integer(), G::integer(), B::integer()}
.br
.RS
.LP
Equivalent to findFirstUnusedColour(This, [])\&.
.RE
.LP
.B
findFirstUnusedColour(This::wxImage(), Options::[Option]) -> {bool(), R::integer(), G::integer(), B::integer()}
.br
.RS
.TP
Types
Option = {startR, integer()} | {startG, integer()} | {startB, integer()}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wximage\&.html#wximagefindfirstunusedcolour>\&.
.RE
.LP
.B
getImageExtWildcard() -> string()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wximage\&.html#wximagegetimageextwildcard>\&.
.RE
.LP
.B
getAlpha(This::wxImage()) -> binary()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wximage\&.html#wximagegetalpha>\&.
.RE
.LP
.B
getAlpha(This::wxImage(), X::integer(), Y::integer()) -> integer()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wximage\&.html#wximagegetalpha>\&.
.RE
.LP
.B
getBlue(This::wxImage(), X::integer(), Y::integer()) -> integer()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wximage\&.html#wximagegetblue>\&.
.RE
.LP
.B
getData(This::wxImage()) -> binary()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wximage\&.html#wximagegetdata>\&.
.RE
.LP
.B
getGreen(This::wxImage(), X::integer(), Y::integer()) -> integer()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wximage\&.html#wximagegetgreen>\&.
.RE
.LP
.B
getImageCount(Name::string()) -> integer()
.br
.RS
.LP
Equivalent to getImageCount(Name, [])\&.
.RE
.LP
.B
getImageCount(Name::string(), Options::[Option]) -> integer()
.br
.RS
.TP
Types
Option = {type, integer()}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wximage\&.html#wximagegetimagecount>\&.
.RE
.LP
.B
getHeight(This::wxImage()) -> integer()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wximage\&.html#wximagegetheight>\&.
.RE
.LP
.B
getMaskBlue(This::wxImage()) -> integer()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wximage\&.html#wximagegetmaskblue>\&.
.RE
.LP
.B
getMaskGreen(This::wxImage()) -> integer()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wximage\&.html#wximagegetmaskgreen>\&.
.RE
.LP
.B
getMaskRed(This::wxImage()) -> integer()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wximage\&.html#wximagegetmaskred>\&.
.RE
.LP
.B
getOrFindMaskColour(This::wxImage()) -> {bool(), R::integer(), G::integer(), B::integer()}
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wximage\&.html#wximagegetorfindmaskcolour>\&.
.RE
.LP
.B
getPalette(This::wxImage()) -> wxPalette() (see module wxPalette)
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wximage\&.html#wximagegetpalette>\&.
.RE
.LP
.B
getRed(This::wxImage(), X::integer(), Y::integer()) -> integer()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wximage\&.html#wximagegetred>\&.
.RE
.LP
.B
getSubImage(This::wxImage(), Rect::{X::integer(), Y::integer(), W::integer(), H::integer()}) -> wxImage()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wximage\&.html#wximagegetsubimage>\&.
.RE
.LP
.B
getWidth(This::wxImage()) -> integer()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wximage\&.html#wximagegetwidth>\&.
.RE
.LP
.B
hasAlpha(This::wxImage()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wximage\&.html#wximagehasalpha>\&.
.RE
.LP
.B
hasMask(This::wxImage()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wximage\&.html#wximagehasmask>\&.
.RE
.LP
.B
getOption(This::wxImage(), Name::string()) -> string()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wximage\&.html#wximagegetoption>\&.
.RE
.LP
.B
getOptionInt(This::wxImage(), Name::string()) -> integer()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wximage\&.html#wximagegetoptionint>\&.
.RE
.LP
.B
hasOption(This::wxImage(), Name::string()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wximage\&.html#wximagehasoption>\&.
.RE
.LP
.B
initAlpha(This::wxImage()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wximage\&.html#wximageinitalpha>\&.
.RE
.LP
.B
initStandardHandlers() -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wximage\&.html#wximageinitstandardhandlers>\&.
.RE
.LP
.B
isTransparent(This::wxImage(), X::integer(), Y::integer()) -> bool()
.br
.RS
.LP
Equivalent to isTransparent(This, X, Y, [])\&.
.RE
.LP
.B
isTransparent(This::wxImage(), X::integer(), Y::integer(), Options::[Option]) -> bool()
.br
.RS
.TP
Types
Option = {threshold, integer()}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wximage\&.html#wximageistransparent>\&.
.RE
.LP
.B
loadFile(This::wxImage(), Name::string()) -> bool()
.br
.RS
.LP
Equivalent to loadFile(This, Name, [])\&.
.RE
.LP
.B
loadFile(This::wxImage(), Name::string(), Options::[Option]) -> bool()
.br
.RS
.TP
Types
Option = {type, integer()} | {index, integer()}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wximage\&.html#wximageloadfile>\&.
.RE
.LP
.B
loadFile(This::wxImage(), Name::string(), Mimetype::string(), Options::[Option]) -> bool()
.br
.RS
.TP
Types
Option = {index, integer()}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wximage\&.html#wximageloadfile>\&.
.RE
.LP
.B
ok(This::wxImage()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wximage\&.html#wximageok>\&.
.RE
.LP
.B
removeHandler(Name::string()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wximage\&.html#wximageremovehandler>\&.
.RE
.LP
.B
mirror(This::wxImage()) -> wxImage()
.br
.RS
.LP
Equivalent to mirror(This, [])\&.
.RE
.LP
.B
mirror(This::wxImage(), Options::[Option]) -> wxImage()
.br
.RS
.TP
Types
Option = {horizontally, bool()}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wximage\&.html#wximagemirror>\&.
.RE
.LP
.B
replace(This::wxImage(), R1::integer(), G1::integer(), B1::integer(), R2::integer(), G2::integer(), B2::integer()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wximage\&.html#wximagereplace>\&.
.RE
.LP
.B
rescale(This::wxImage(), Width::integer(), Height::integer()) -> wxImage()
.br
.RS
.LP
Equivalent to rescale(This, Width, Height, [])\&.
.RE
.LP
.B
rescale(This::wxImage(), Width::integer(), Height::integer(), Options::[Option]) -> wxImage()
.br
.RS
.TP
Types
Option = {quality, integer()}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wximage\&.html#wximagerescale>\&.
.RE
.LP
.B
resize(This::wxImage(), Size::{W::integer(), H::integer()}, Pos::{X::integer(), Y::integer()}) -> wxImage()
.br
.RS
.LP
Equivalent to resize(This, Size, Pos, [])\&.
.RE
.LP
.B
resize(This::wxImage(), Size::{W::integer(), H::integer()}, Pos::{X::integer(), Y::integer()}, Options::[Option]) -> wxImage()
.br
.RS
.TP
Types
Option = {r, integer()} | {g, integer()} | {b, integer()}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wximage\&.html#wximageresize>\&.
.RE
.LP
.B
rotate(This::wxImage(), Angle::float(), Centre_of_rotation::{X::integer(), Y::integer()}) -> wxImage()
.br
.RS
.LP
Equivalent to rotate(This, Angle, Centre_of_rotation, [])\&.
.RE
.LP
.B
rotate(This::wxImage(), Angle::float(), Centre_of_rotation::{X::integer(), Y::integer()}, Options::[Option]) -> wxImage()
.br
.RS
.TP
Types
Option = {interpolating, bool()} | {offset_after_rotation, {X::integer(), Y::integer()}}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wximage\&.html#wximagerotate>\&.
.RE
.LP
.B
rotateHue(This::wxImage(), Angle::float()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wximage\&.html#wximagerotatehue>\&.
.RE
.LP
.B
rotate90(This::wxImage()) -> wxImage()
.br
.RS
.LP
Equivalent to rotate90(This, [])\&.
.RE
.LP
.B
rotate90(This::wxImage(), Options::[Option]) -> wxImage()
.br
.RS
.TP
Types
Option = {clockwise, bool()}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wximage\&.html#wximagerotate90>\&.
.RE
.LP
.B
saveFile(This::wxImage(), Name::string()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wximage\&.html#wximagesavefile>\&.
.RE
.LP
.B
saveFile(This::wxImage(), Name::string(), X::integer() | string()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wximage\&.html#wximagesavefile>\&. 
.br
 Alternatives: 
.LP
\fI saveFile(This::wxImage(), Name::string(), Type::integer()) -> bool() \fR 
.LP
\fI saveFile(This::wxImage(), Name::string(), Mimetype::string()) -> bool() \fR 
.RE
.LP
.B
scale(This::wxImage(), Width::integer(), Height::integer()) -> wxImage()
.br
.RS
.LP
Equivalent to scale(This, Width, Height, [])\&.
.RE
.LP
.B
scale(This::wxImage(), Width::integer(), Height::integer(), Options::[Option]) -> wxImage()
.br
.RS
.TP
Types
Option = {quality, integer()}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wximage\&.html#wximagescale>\&.
.RE
.LP
.B
size(This::wxImage(), Size::{W::integer(), H::integer()}, Pos::{X::integer(), Y::integer()}) -> wxImage()
.br
.RS
.LP
Equivalent to size(This, Size, Pos, [])\&.
.RE
.LP
.B
size(This::wxImage(), Size::{W::integer(), H::integer()}, Pos::{X::integer(), Y::integer()}, Options::[Option]) -> wxImage()
.br
.RS
.TP
Types
Option = {r, integer()} | {g, integer()} | {b, integer()}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wximage\&.html#wximagesize>\&.
.RE
.LP
.B
setAlpha(This::wxImage(), Alpha::binary()) -> ok
.br
.RS
.LP
Equivalent to setAlpha(This, Alpha, [])\&.
.RE
.LP
.B
setAlpha(This::wxImage(), Alpha::binary(), Options::[Option]) -> ok
.br
.RS
.TP
Types
Option = {static_data, bool()}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wximage\&.html#wximagesetalpha>\&.
.RE
.LP
.B
setAlpha(This::wxImage(), X::integer(), Y::integer(), Alpha::integer()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wximage\&.html#wximagesetalpha>\&.
.RE
.LP
.B
setData(This::wxImage(), Data::binary()) -> ok
.br
.RS
.LP
Equivalent to setData(This, Data, [])\&.
.RE
.LP
.B
setData(This::wxImage(), Data::binary(), Options::[Option]) -> ok
.br
.RS
.TP
Types
Option = {static_data, bool()}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wximage\&.html#wximagesetdata>\&.
.RE
.LP
.B
setData(This::wxImage(), Data::binary(), New_width::integer(), New_height::integer()) -> ok
.br
.RS
.LP
Equivalent to setData(This, Data, New_width, New_height, [])\&.
.RE
.LP
.B
setData(This::wxImage(), Data::binary(), New_width::integer(), New_height::integer(), Options::[Option]) -> ok
.br
.RS
.TP
Types
Option = {static_data, bool()}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wximage\&.html#wximagesetdata>\&.
.RE
.LP
.B
setMask(This::wxImage()) -> ok
.br
.RS
.LP
Equivalent to setMask(This, [])\&.
.RE
.LP
.B
setMask(This::wxImage(), Options::[Option]) -> ok
.br
.RS
.TP
Types
Option = {mask, bool()}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wximage\&.html#wximagesetmask>\&.
.RE
.LP
.B
setMaskColour(This::wxImage(), R::integer(), G::integer(), B::integer()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wximage\&.html#wximagesetmaskcolour>\&.
.RE
.LP
.B
setMaskFromImage(This::wxImage(), Mask::wxImage(), Mr::integer(), Mg::integer(), Mb::integer()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wximage\&.html#wximagesetmaskfromimage>\&.
.RE
.LP
.B
setOption(This::wxImage(), Name::string(), X::integer() | string()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wximage\&.html#wximagesetoption>\&. 
.br
 Alternatives: 
.LP
\fI setOption(This::wxImage(), Name::string(), Value::integer()) -> ok \fR 
.LP
\fI setOption(This::wxImage(), Name::string(), Value::string()) -> ok \fR 
.RE
.LP
.B
setPalette(This::wxImage(), Palette::wxPalette() (see module wxPalette)) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wximage\&.html#wximagesetpalette>\&.
.RE
.LP
.B
setRGB(This::wxImage(), Rect::{X::integer(), Y::integer(), W::integer(), H::integer()}, R::integer(), G::integer(), B::integer()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wximage\&.html#wximagesetrgb>\&.
.RE
.LP
.B
setRGB(This::wxImage(), X::integer(), Y::integer(), R::integer(), G::integer(), B::integer()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wximage\&.html#wximagesetrgb>\&.
.RE
.LP
.B
destroy(This::wxImage()) -> ok
.br
.RS
.LP
Destroys this object, do not use object again
.RE
